# 32/64bit spec-file
#


Name:			seamonkey
Version:		2.46
Release:		%mkrel 1
Summary:	Web browser, e-mail, news, IRC client, HTML editor
URL:			http://www.seamonkey-project.org/
Group:		Networking/WWW
License:		MPLv1.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Obsoletes:	%name < %version
AutoReqProv: no


%description
SeaMonkey is an all-in-one Internet application suite. It includes
a browser, mail/news client, IRC client, JavaScript debugger, and
a tool to inspect the DOM for web pages. It is derived from the
application formerly known as Mozilla Application Suite.

%prep
#Here we go!
%ifarch %{ix86}
cd %_builddir
wget -nc http://ftp.mozilla.org/pub/%{name}/releases/%{version}/linux-i686/en-US/%{name}-%{version}.tar.bz2
tar -xvjf %{name}-%{version}.tar.bz2
%else
cd %_builddir
wget -nc http://ftp.mozilla.org/pub/%{name}/releases/%{version}/contrib/%{name}-%{version}.en-US.linux-x86_64.tar.bz2
tar -xvjf %{name}-%{version}.en-US.linux-x86_64.tar.bz2
%endif

%build
#nobuild


%install
%__rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%_libdir/%name
cp -fr ${RPM_BUILD_DIR}/%name/*  ${RPM_BUILD_ROOT}%_libdir/%name/

mkdir -p ${RPM_BUILD_ROOT}%_datadir/pixmaps
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/%name.png ${RPM_BUILD_ROOT}%_datadir/pixmaps/

mkdir -p ${RPM_BUILD_ROOT}%_iconsdir/large
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default48.png ${RPM_BUILD_ROOT}%_iconsdir/large/%name.png
mkdir -p ${RPM_BUILD_ROOT}%_iconsdir/mini
cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default16.png ${RPM_BUILD_ROOT}%_iconsdir/mini/%name.png

cp -fr ${RPM_BUILD_ROOT}%_libdir/%name/chrome/icons/default/default.png ${RPM_BUILD_ROOT}%_iconsdir/%name.png

mkdir -p ${RPM_BUILD_ROOT}%_datadir/applications
cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-%name-addressbook.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Address Book
Comment=Seamonkey Address Book
Exec=%_libdir/%name/%name -addressbook
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Mail;Network;Email;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-chat.desktop <<EOF
[Desktop Entry]
Name=ChatZilla
Comment=Seamonkey IRC client
Exec=%_libdir/%name/%name -chat
Icon=seamonkey
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Chat;Network;IRCClient;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-composer.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Composer
Comment=Seamonkey Composer HTML editor
Exec=%_libdir/%name/%name -edit %u
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebDevelopment;X-MandrivaLinux-Internet-WebEditors;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-mail.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Mail
Comment=Seamonkey Mail & Newsgroups e-mail client
Exec=%_libdir/%name/%name -mail
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Mail;Network;Email;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey-news.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey News
Comment=Seamonkey Mail & Newsgroups news reader
Exec=%_libdir/%name/%name -news
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-News;Network;News;
StartupWMClass=Seamonkey-bin
EOF

cat > ${RPM_BUILD_ROOT}%_datadir/applications/pclinuxos-seamonkey.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SeaMonkey Navigator
Comment=Seamonkey Navigator web browser
Exec=%_libdir/%name/%name %u
Icon=seamonkey.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
StartupWMClass=Seamonkey-bin
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_libdir/%name
%_datadir/applications/pclinuxos-%name.desktop
%_datadir/applications/pclinuxos-%name-*.desktop
%_datadir/pixmaps/%name.png
%_iconsdir/large/%name.png
%_iconsdir/mini/%name.png
%_iconsdir/%name.png

%changelog
* Tue Feb 07 2017 adrianomorselli <adrianomorselli> 2.46-1uplos2017
- rebuild

* Fri Dec 23 2016 bb <bb> - 2.46-1pclos2017
- new version

* Mon Mar 14 2016 bb <bb> 2.40-1pclos2016
- update

* Sun Nov 08 2015 bb <bb> 2.39-1pclos2015
- update

* Mon Sep 28 2015 bb <bb> 2.38-1pclos2015
- update
